Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QApplication

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QApplication class reference

### Static Public Members

- Qt::Alignment horizontalAlignment ( Qt::Alignment align ) `(obsolete)`

## Member Function Documentation

### Qt::Alignment QApplication::horizontalAlignment ( Qt::Alignment align ) `[static]`

Strips out vertical alignment flags and transforms an alignment align of Qt::AlignAuto into Qt::AlignLeft or Qt::AlignRight according to the language used. The other horizontal alignment flags are left untouched.